import Pannel from '@/components/pannel/index.vue';
import BlockIcon from '@/components/block-icon/index.vue';
import data from './data.js';
import { debtOverview2 } from '../../../../api/index.js';
import { mapGetters } from 'vuex';
export default {
  components: {
    BlockIcon,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      data
    };
  },
  methods: {
    getData () {
      this.isLoad = false // 是否加载完成
      if (this.year, this.deptId) {
        debtOverview2(this.deptId, this.year).then(res => {
          this.data.topData[0][0].value = res.data.zbdzw
          this.data.topData[0][1].value = res.data.gzwl
          this.data.topData[1][0].value = res.data.zzwl
          this.data.topData[1][1].value = res.data.dzwl

          this.isLoad = true // 是否加载完成
        })
      }

    }
  }
};
